- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: d226cd19-bc25-4e10-98de-8333df49a938
    creation_time: '2024-08-01T15:51:59+02:00'
    producer:
      name: Automizer
      version: 0.2.4-wip.fs.yaml-violation-witnesses-bf1304b-m
    task:
      input_files:
      - /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
      input_file_hashes:
        /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: 32bit
      language: C
  content:
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 5128
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 5129
          column: 12
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 257
          column: 14
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 141
          column: 3
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 142
          column: 5
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 143
          column: 7
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 144
          column: 9
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 145
          column: 11
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 146
          column: 13
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 147
          column: 15
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 148
          column: 17
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 149
          column: 19
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 150
          column: 21
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 151
          column: 23
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 152
          column: 25
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 153
          column: 27
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 154
          column: 29
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 155
          column: 31
          function: init
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 156
          column: 33
          function: init
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 257
          column: 14
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 258
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 215
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 218
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 220
          column: 7
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 68
          column: 5
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 69
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 72
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 95
          column: 5
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 96
          column: 7
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 120
          column: 5
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 121
          column: 7
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 215
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 218
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 220
          column: 7
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 215
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 218
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 220
          column: 7
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 68
          column: 5
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 69
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 72
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 95
          column: 5
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 96
          column: 7
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 99
          column: 7
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 120
          column: 5
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 121
          column: 7
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 215
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 218
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 220
          column: 7
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 215
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 218
          column: 5
          function: check
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 220
          column: 7
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 266
          column: 3
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 64
          column: 3
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 68
          column: 5
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 69
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 72
          column: 7
          function: node1
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 268
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 92
          column: 3
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 95
          column: 5
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 96
          column: 7
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 99
          column: 7
          function: node2
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 269
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 117
          column: 3
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 120
          column: 5
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 121
          column: 7
          function: node3
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 270
          column: 12
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 214
          column: 3
          function: check
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 277
          column: 17
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 278
          column: 15
          function: main1
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 290
          column: 3
          function: assert
        action: follow
  - segment:
    - waypoint:
        type: target
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/combinations/pals_lcr.3.1.ufo.BOUNDED-6.pals+Problem12_label04.c
          file_hash: c91ca4899b5af8ca28cd56fdb53af71cf5c86f932b323279b0b6773f1f060e71
          line: 292
          column: 13
          function: assert
        action: follow
